require 'helper'

AvatarsIO.client_id = 'your client id'
AvatarsIO.access_token = 'your access token'

class TestAvatarsIO < Test::Unit::TestCase
  should "upload an avatar" do
    assert_not_nil AvatarsIO.upload('/Users/vadimdemedes/Desktop/Cucumber.jpg')
  end
  
  should "upload an avatar with assigned identifier" do
    assert_not_nil AvatarsIO.upload('/Users/vadimdemedes/Desktop/Small-Picture.jpg', 'small-picture')
  end
  
  should "return Twitter's avatar URL" do
    assert_equal 'http://avatars.io/twitter/vdemedes', avatar_url('twitter', 'vdemedes')
  end
  
  should "return auto avatar URL" do
    assert_equal 'http://avatars.io/auto/vdemedes', auto_avatar_url('vdemedes')
  end
  
  should "return auto avatar URL only for Twitter and Facebook" do
    assert_equal 'http://avatars.io/auto/vdemedes?services=twitter,facebook', auto_avatar_url('vdemedes', ['twitter', 'facebook'])
  end
end
